package com.engine.salary.mapper.hrm;

import com.engine.salary.entity.hrm.po.ExpandFieldSettingsPO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

public interface ExpandFieldSettingsMapper {

	/**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
	List<ExpandFieldSettingsPO> listAll();
    
    /**
     * 条件查询
     *
     * @return 返回集合，没有返回空List
     */
    List<ExpandFieldSettingsPO> listSome(ExpandFieldSettingsPO expandFieldSettings);
    

	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	ExpandFieldSettingsPO getById(Long id);
	
	/**
     * 新增，忽略null字段
     *
     * @param expandFieldSettings 新增的记录
     * @return 返回影响行数
     */
	int insertIgnoreNull(ExpandFieldSettingsPO expandFieldSettings);
	
	/**
     * 修改，修改所有字段
     *
     * @param expandFieldSettings 修改的记录
     * @return 返回影响行数
     */
	int update(ExpandFieldSettingsPO expandFieldSettings);
	
	/**
     * 修改，忽略null字段
     *
     * @param expandFieldSettings 修改的记录
     * @return 返回影响行数
     */
	int updateIgnoreNull(ExpandFieldSettingsPO expandFieldSettings);
	
	/**
     * 删除记录
     *
     * @param expandFieldSettings 待删除的记录
     * @return 返回影响行数
     */
	int delete(ExpandFieldSettingsPO expandFieldSettings);
    
    /**
     * 批量删除记录
     * @param ids 主键id集合
     */
    void deleteByIds(@Param("ids") Collection<Long> ids);

	ExpandFieldSettingsPO getByModule(String module);
}